#version 330 core

uniform sampler2D noise;
uniform float alpha;

in vec4 world_pos_lut;
in vec2 uv;

layout (location = 0) out vec4 frag_pos;


void main()
{
	float a = texture(noise, uv).r;
	//if ( a < alpha ) discard;
	//if ( a > 0.6 ) discard;

	frag_pos.rgb = world_pos_lut.rgb;
	frag_pos.a = 0.3 + a*0.7;
}
